Package org.apache.ignite.internal.processors.query

## Class QueryParserMetricsHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryParserMetricsHolder

    public class QueryParserMetricsHolder
    extends Object

Metric holder for metrics of query parser.

### Field Summary

Fields
`static String` `QUERY_PARSER_METRIC_GROUP_NAME` Query parser metric group name.

### Constructor Summary

Constructors
`QueryParserMetricsHolder​(GridMetricManager metricMgr)` Create metrics holder with given metric manager.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `countCacheHit()` Increment cache hits counter.
`void` `countCacheMiss()` Increment cache misses counter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### QUERY_PARSER_METRIC_GROUP_NAME

    public static final String QUERY_PARSER_METRIC_GROUP_NAME

Query parser metric group name.

See Also:
  Constant Field Values

### Constructor Detail

#### QueryParserMetricsHolder

    public QueryParserMetricsHolder​(GridMetricManager metricMgr)

Create metrics holder with given metric manager.

Parameters:
  `metricMgr` - Metric manager.

### Method Detail

#### countCacheHit

    public void countCacheHit()

Increment cache hits counter. Should be called when query found in cache by its descriptor.

#### countCacheMiss

    public void countCacheMiss()

Increment cache misses counter. Should be called when query not found in cache.